### Function

# Gdk content_register_deserializer

#### Declaration [src]

    void
    gdk_content_register_deserializer (
      const char* mime_type,
      GType type,
      GdkContentDeserializeFunc deserialize,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Registers a function to deserialize object of a given type.

Since 4.20, when looking up a deserializer to use, GTK will use the last registered deserializer for a given mime type, so applications can override the built-in deserializers.

#### Parameters

`mime_type`

  Type: `const char*`

  The mime type which the function can deserialize from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `GType`

  The type of objects that the function creates.

`deserialize`

  Type: `GdkContentDeserializeFunc`

  The callback.

`data`

  Type: `gpointer`

  Data that `deserialize` can access.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`notify`

  Type: `GDestroyNotify`

  Destroy notify for `data`.